<?php
/*****************************************************************************
 * AlbumButtonBox.php
 * Defines the AlbumButtonBox template.
 *
 * Kabuki CMS (C) 2013-2016, Aaron van Geffen
 *****************************************************************************/

class AlbumButtonBox extends Template
{
	private $buttons;

	public function __construct($buttons)
	{
		$this->buttons = $buttons;
	}

	public function html_main()
	{
		echo '
			<div class="album_button_box">';

		foreach ($this->buttons as $button)
			echo '
				<a class="btn btn-light" href="', $button['url'], '">', $button['caption'], '</a>';

		echo '
			</div>';
	}
}
